## org.mortbay.start
Class Classpath

    java.lang.Object
      org.mortbay.start.Classpath

    public class Classpath

extends java.lang.Object

Class to handle CLASSPATH construction

Author:
  Jan Hlavaty

Constructor Summary
`Classpath()`
`Classpath(java.lang.String initial)`

Method Summary
`boolean` `addClasspath(java.lang.String s)`
`boolean` `addComponent(java.io.File component)`
`boolean` `addComponent(java.lang.String component)`
`static java.lang.String` `encodeFileURL(java.lang.String path)`
`java.lang.ClassLoader` `getClassLoader()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Classpath

    public Classpath()

### Classpath

    public Classpath(java.lang.String initial)

Method Detail

### addComponent

    public boolean addComponent(java.lang.String component)

### addComponent

    public boolean addComponent(java.io.File component)

### addClasspath

    public boolean addClasspath(java.lang.String s)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

### encodeFileURL

    public static java.lang.String encodeFileURL(java.lang.String path)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.